currency_data <- read.csv('currency.csv', header=FALSE)
colnames(currency_data) <- c("symbol", "value")
currency_choices <- setNames(as.numeric(currency_data$value),
                             currency_data$symbol)
shinyUI(fluidPage(
  titlePanel("Simple Currency Converter"),
  fluidRow(
    column(3,
           numericInput("num", 
                        label = h3("Input Amount"), 
                        value = 1)
           ) ,
    column(3,
           selectInput("inCurrency", label = h3("Input Currency"), 
                       currency_choices)
           )
    ),
  fluidRow(
    column(3,
            selectInput("outCurrency", label = h3("Output Currency"), 
                              currency_choices)
           ),
    column(3,
           h3("Output Amount"),
           h2(textOutput("conversion_result"))
           )
  )
))