demo4-currency_api
==================

The final proper example, this is the currency conversion shiny application
from demo3, re-written to use an API instead of performing the conversion in 
the server.R part of the shiny app.

The API can be started by running the 'start-api.R' script.
This should return a message as follows:
  Starting server to listen on port 8002

The API endpoints is available as follows:
  http://localhost:8002/convert

The parameters for this end point can be defined as follows:
  http://localhost:8002/convert?num=100&inCurrency=NZD&outCurrency=AUD

  num = The amount to be converted, eg. 100
  inCurrency = The symbol for the input currency, eg. NZD
  outCurrency = The symbol for the output currency, eg. AUD

  The currencies available are those defined in the currency.csv file

If you access the above URL, either with curl or your web browser, the API
should return i'["93.84"]'

At this point if you start the shiny application, as in demo3, you'll see that
the code in server.R has been re-written to pass the variables provided in the
user interface on to the API, instead of performing the currency conversion
internally. However, the shiny application should operate exactly as it did in
the demo3 example.

This directory also contains a couple of other examples of ways the API can be
accessed.

If you have python installed run:
  ./currency.py 100 NZD AUD
This should again return 93.84. Try varying the value and symbols.

If you're using Linux or a Mac, run:
  ./currency.sh 100 NZD AUD
Again, this should return 93.84. Feel free to play around with the values and
symbols to check the results.

Finally, if you're using Mac or Linux, running batch.sh will run request each
permutation of symbols from the API sequentially, dumping the results out to
the terminal as it goes.

Obvioulsy these are just simple examples. These alternative API consumers could 
just as easily be a web application or a java or mobile app.

