currency_data <- read.csv('currency.csv', header=FALSE)
colnames(currency_data) <- c("symbol", "value")
#* @get /convert
convert <- function(num, inCurrency, outCurrency){
  # the cat here will output the parameters passed to the function to the console
  # this can be useful for logging things in production environments
  cat(paste("num: ", num, " inCurrency: ", inCurrency, " outCurrency: ", outCurrency, "\n"))
  # Currency conversion - (inputValue/inputCurrency)*outputCurrency
  inConvRate <- match(c(inCurrency), currency_data$symbol)
  outConvRate <- match(c(outCurrency), currency_data$symbol)
  conversion_result <- (as.numeric(num)/currency_data$value[inConvRate[1]])*
    currency_data$value[outConvRate[1]]
  format(round(as.numeric(conversion_result[1]),2), nsmall=2)
}

# convert(1, 'GBP', 'USD')
